Subject: Re: [PATCH 1/4] Documentation: use singular they when appropriate

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jun 2021 10:18:43 +0900

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> diff --git a/Documentation/SubmittingPatches b/Documentation/SubmittingPatches
> index 55287d72e0ef..b518d3157f70 100644
> --- a/Documentation/SubmittingPatches
> +++ b/Documentation/SubmittingPatches
> @@ -373,7 +373,7 @@ If you like, you can put extra tags at the end:
>  . `Acked-by:` says that the person who is more familiar with the area
>    the patch attempts to modify liked the patch.
>  . `Reviewed-by:`, unlike the other tags, can only be offered by the
> -  reviewer and means that she is completely satisfied that the patch
> +  reviewer and means that they are completely satisfied that the patch

All the other changes in this step, including the one that is a
quote of past e-mail sent to the list, didn't sound so awkward and
good, but this one does sound strange for this non-native speaker.

Granted, the use of "she" here is already awkward (in the sense "why
do we assume that the reviewer is of certain gender?"), but "they"
looks ungrammatical on top of that awkwardness.

    `Reviewed-by:`, unlike the other tags, can only be offered by
    reviewers themselves when they are completely satisified with
    the patch.  It is offered only after a detailed review by
    reviewers who are known to be experts in the affected area by
    the community members.

perhaps?